OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
ComputeActiveVoxelCount< VolumePtrType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Member Functions
| ComputeActiveVoxelCount (std::vector< VolumePtrType > &segments, size_t *countArray)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
VolumePtrType *const | mSegments
size_t *const | mCountArray

## Constructor & Destructor Documentation

## ◆ ComputeActiveVoxelCount()

ComputeActiveVoxelCount | ( | std::vector< VolumePtrType > & | segments,
|  | size_t * | countArray
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mCountArray

size_t* const mCountArray

## ◆ mSegments

VolumePtrType* const mSegments

The documentation for this struct was generated from the following file:

- LevelSetUtil.h